@import 'defaults';

minds-comments,
m-comments__tree,
.m-comment-wrapper {
  //margin-top: 50px;
  width: 100%;

  .minds-comment {
    min-height: 0;
    margin: 0;
    padding: $minds-padding $minds-padding * 1.5;
    background-color: transparent;
    overflow: visible;
    //border-bottom:1px solid themed($m-grey-100);

    .m-comment-message {
      white-space: pre-line;
    }

    .minds-more {
      display: inline-block;
      visibility: hidden;

      i {
        font-size: 18px;
        line-height: 18px;
        width: 32px;
        transform: initial;
        position: static;
      }
    }
    &:hover .minds-more {
      visibility: visible;
    }

    .mdl-card__menu {
      top: 0;
    }

    &.minds-comment-post {
      border-bottom: 0;
      padding-bottom: $minds-padding;
    }

    .minds-body {
      margin-left: $minds-margin;
      font-size: 12px;
      max-width: 100%;
      max-width: calc(100% - 60px);

      .username {
        font-size: 13px;
        text-decoration: none;
        font-weight: bold;
      }

      .minds-comment-span {
        font-size: 10px;
        position: relative;
        top: -1px;

        &.minds-comment-bullet:before {
          content: '·';
          font-weight: bold;
          padding: 0 $minds-padding;
        }

        @media screen and (max-width: $min-tablet) {
          display: block;
          position: initial;
          top: initial;

          &.minds-comment-bullet:before {
            content: '';
            padding: 0;
          }
        }
      }
      a {
        text-decoration: none;
      }
    }

    .minds-comments-voting {
      display: inline-block;
      position: relative;
      top: 6px;
      height: 36px;
      vertical-align: middle;

      minds-button-thumbs-up,
      minds-button-thumbs-down {
        display: inline-block;
        margin-left: 0.35em;
      }

      minds-button-thumbs-down {
        //margin-left: 1em;
      }

      .material-icons {
        font-size: 18px;
        vertical-align: middle;
      }

      .minds-counter {
        font-size: 12px;
        line-height: 18px;
        vertical-align: top;
      }
    }
  }

  .minds-editable-container {
    padding: $minds-padding 0;
  }

  .m-comment-attachment,
  .m-comments-composer,
  .m-editable-attachment-container {
    background: transparent;

    .m-rich-embed {
      text-align: left;
      margin: 0 0 $minds-padding;
      @include m-theme() {
        background-color: themed($m-white);
        border: 1px solid themed($m-grey-100);
      }

      minds-rich-embed .m-rich-embed-src {
        position: relative;

        .thumbnail {
          display: block;
          float: left;
          width: 25%;
          height: 100%;
          position: absolute;

          .m-rich-embed-thumbnail-wrapper {
            padding-bottom: 0; // 1:1
            background-size: cover;
            background-position: center;
            height: 100%;
            border-radius: 5px 0 0 5px;
          }

          > img {
            width: 100%;
          }

          &.m-inline-embed {
            width: 100%;
            max-height: 200px;
            display: block;
            float: none;
            position: initial;

            .m-rich-embed-video-iframe {
              padding-bottom: 200px;
            }
          }

          .m-rich-embed-video-iframe > iframe {
            height: 200px;
          }
        }

        a.meta {
          display: block;
          padding: $minds-padding;
          padding-left: calc(25% + #{$minds-padding});

          box-sizing: border-box;
          width: 100%;
          text-decoration: none;

          &.m-rich-embed--title--no-padding {
            padding: 8px;
          }

          h2 {
            margin-bottom: 0;
            font-size: 13px;
            line-height: 14px;
          }

          p {
            $lh: 1.2em;
            text-overflow: ellipsis;
            overflow: hidden;
            max-height: ($lh * 2) + 1em;
            line-height: $lh;
            font-size: 11px;

            &.m-blurb {
              display: none;
            }

            &:last-child {
              margin-bottom: 0;
            }
          }
        }

        .m-has-inline-embed .meta {
          display: none;
        }
      }
    }
  }

  .m-comment-attachment.mdl-card {
    max-width: 550px;
    box-sizing: border-box;
    padding: 0;

    .item-image {
      max-width: 100%;
    }
  }

  .m-comments-composer {
    position: relative;

    form {
      display: flex;
      margin: 0;

      minds-textarea {
        font-family: inherit;
        font-size: 12px;
        width: 0;
        min-width: 0;
        flex: 1;
        margin-bottom: $minds-padding;
        border-radius: 25px;

        .m-editor {
          //min-height: 26px;
        }
      }
    }
  }

  .m-comments-composer form m-text-input--autocomplete-container {
    width: 100%;
  }
  .m-comments-composer form minds-textarea,
  .minds-editable-container textarea {
    width: 100%;
    padding: $minds-padding ($minds-padding + 88px) $minds-padding
      $minds-padding;
    @include m-theme() {
      background-color: themed($m-white);
    }
  }

  .m-comments-composer .mdl-card__actions {
    top: 6px;
    right: $minds-padding;
  }

  .minds-editable-container .mdl-card__actions {
    top: $minds-padding + 44px;
    right: $minds-padding + 14px;

    @media screen and (max-width: $min-tablet) {
      top: $minds-padding + 52px;
    }
  }

  .m-comments-composer .mdl-card__actions,
  .minds-editable-container .mdl-card__actions {
    position: absolute;
    z-index: 250;
    width: auto;
    display: inline-block;
    padding: 0;
    text-align: right;

    .m-mature-button,
    .m-post-button {
      display: inline-block;
      vertical-align: middle;
      position: relative;
      overflow: hidden;
      cursor: pointer;

      i {
        cursor: pointer;
      }

      &.m-button-disabled {
        cursor: default;

        i {
          cursor: default;
          opacity: 0.65;
        }
      }
    }

    .attachment-button:before {
      font-family: 'material icons';
      position: absolute;
      top: 7px;
      left: 6px;
      @include m-theme() {
        color: themed($m-grey-400);
      }
    }

    .attachment-button {
      display: inline-block;
      vertical-align: middle;
      position: relative;
      overflow: hidden;
      cursor: pointer;

      i {
        cursor: pointer;
      }

      input {
        position: absolute;
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0;
        left: 0;
        cursor: pointer;
        opacity: 0;
        @include m-theme() {
          color: themed($m-grey-400);
        }
      }
      input::-webkit-file-upload-button {
        cursor: pointer;
      }
    }
  }

  .attachment-preview-delete {
    cursor: pointer;
  }

  .post-preview {
    margin-botom: $minds-padding;
  }

  .m-comments-load-more {
    padding: ($minds-padding / 2) $minds-padding;
    margin: ($minds-padding / 2) 0;
    text-align: center;
    cursor: pointer;
    font-size: 0.85em;

    &.m-disabled {
      cursor: default !important;
      opacity: 0.35;
    }

    i {
      font-size: 20px;
      vertical-align: middle;
      padding-right: 12px;
    }
  }

  .minds-comments-container {
    $mcc-height: 300px;

    //max-height: $mcc-height;
    //overflow-y: auto;

    .m-comment-attachment .item-image {
      &.m-mature-content-shown .m-mature-overlay {
        left: $minds-padding;
        right: auto;
      }

      img,
      minds-video {
        width: auto;
        max-width: 100%;
        max-height: $mcc-height - ($minds-padding * 2) - 50px;
      }
    }
  }
}

.m-comment-wrapper {
  margin-top: 0;

  .m-ribbon {
    display: none;
  }
}

.m-comments--start-conversation-label {
  font-size: 12px;
  text-align: center;
  margin: ($minds-padding * 2) 0;
  @include m-theme() {
    color: themed($m-grey-300);
  }
}

.m-comments--load-error-label {
  font-size: 12px;
  text-align: center;
  margin: ($minds-padding * 2) 0;
  @include m-theme() {
    color: themed($m-red-dark);
  }

  i.material-icons {
    font-size: 1.2em;
  }

  > * {
    vertical-align: middle;
  }
}

.m-comment--poster .minds-body {
  overflow: visible;
  min-height: 50px;
}
